<?php

namespace ContainerFeOmBal;
include_once \dirname(__DIR__, 5).'/vendor/sulu/sulu/src/Sulu/Bundle/CustomUrlBundle/Request/CustomUrlRequestProcessor.php';

class CustomUrlRequestProcessor_292b929 extends \Sulu\Bundle\CustomUrlBundle\Request\CustomUrlRequestProcessor implements \ProxyManager\Proxy\VirtualProxyInterface
{

    /**
     * @var \Closure|null initializer responsible for generating the wrapped object
     */
    private $valueHolder3c4b1 = null;

    /**
     * @var \Closure|null initializer responsible for generating the wrapped object
     */
    private $initializer70e27 = null;

    /**
     * @var bool[] map of public properties of the parent class
     */
    private static $publicProperties6ead2 = [
        
    ];

    public function process(\Symfony\Component\HttpFoundation\Request $request, \Sulu\Component\Webspace\Analyzer\Attributes\RequestAttributes $requestAttributes)
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, 'process', array('request' => $request, 'requestAttributes' => $requestAttributes), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        return $this->valueHolder3c4b1->process($request, $requestAttributes);
    }

    public function validate(\Sulu\Component\Webspace\Analyzer\Attributes\RequestAttributes $attributes)
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, 'validate', array('attributes' => $attributes), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        return $this->valueHolder3c4b1->validate($attributes);
    }

    /**
     * Constructor for lazy initialization
     *
     * @param \Closure|null $initializer
     */
    public static function staticProxyConstructor($initializer)
    {
        static $reflection;

        $reflection = $reflection ?? new \ReflectionClass(__CLASS__);
        $instance = $reflection->newInstanceWithoutConstructor();

        \Closure::bind(function (\Sulu\Bundle\CustomUrlBundle\Request\CustomUrlRequestProcessor $instance) {
            unset($instance->customUrlManager, $instance->generator, $instance->webspaceManager, $instance->environment);
        }, $instance, 'Sulu\\Bundle\\CustomUrlBundle\\Request\\CustomUrlRequestProcessor')->__invoke($instance);

        $instance->initializer70e27 = $initializer;

        return $instance;
    }

    public function __construct(\Sulu\Component\CustomUrl\Manager\CustomUrlManagerInterface $customUrlManager, \Sulu\Component\CustomUrl\Generator\GeneratorInterface $generator, \Sulu\Component\Webspace\Manager\WebspaceManagerInterface $webspaceManager, $environment)
    {
        static $reflection;

        if (! $this->valueHolder3c4b1) {
            $reflection = $reflection ?? new \ReflectionClass('Sulu\\Bundle\\CustomUrlBundle\\Request\\CustomUrlRequestProcessor');
            $this->valueHolder3c4b1 = $reflection->newInstanceWithoutConstructor();
        \Closure::bind(function (\Sulu\Bundle\CustomUrlBundle\Request\CustomUrlRequestProcessor $instance) {
            unset($instance->customUrlManager, $instance->generator, $instance->webspaceManager, $instance->environment);
        }, $this, 'Sulu\\Bundle\\CustomUrlBundle\\Request\\CustomUrlRequestProcessor')->__invoke($this);

        }

        $this->valueHolder3c4b1->__construct($customUrlManager, $generator, $webspaceManager, $environment);
    }

    public function & __get($name)
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, '__get', ['name' => $name], $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        if (isset(self::$publicProperties6ead2[$name])) {
            return $this->valueHolder3c4b1->$name;
        }

        $realInstanceReflection = new \ReflectionClass(get_parent_class($this));

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder3c4b1;

            $backtrace = debug_backtrace(false);
            trigger_error(
                sprintf(
                    'Undefined property: %s::$%s in %s on line %s',
                    get_parent_class($this),
                    $name,
                    $backtrace[0]['file'],
                    $backtrace[0]['line']
                ),
                \E_USER_NOTICE
            );
            return $targetObject->$name;
            return;
        }

        $targetObject = $this->valueHolder3c4b1;
        $accessor = function & () use ($targetObject, $name) {
            return $targetObject->$name;
        };
        $backtrace = debug_backtrace(true);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();

        return $returnValue;
    }

    public function __set($name, $value)
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, '__set', array('name' => $name, 'value' => $value), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        $realInstanceReflection = new \ReflectionClass(get_parent_class($this));

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder3c4b1;

            return $targetObject->$name = $value;
            return;
        }

        $targetObject = $this->valueHolder3c4b1;
        $accessor = function & () use ($targetObject, $name, $value) {
            return $targetObject->$name = $value;
        };
        $backtrace = debug_backtrace(true);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = & $accessor();

        return $returnValue;
    }

    public function __isset($name)
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, '__isset', array('name' => $name), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        $realInstanceReflection = new \ReflectionClass(get_parent_class($this));

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder3c4b1;

            return isset($targetObject->$name);
            return;
        }

        $targetObject = $this->valueHolder3c4b1;
        $accessor = function () use ($targetObject, $name) {
            return isset($targetObject->$name);
        };
        $backtrace = debug_backtrace(true);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = $accessor();

        return $returnValue;
    }

    public function __unset($name)
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, '__unset', array('name' => $name), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        $realInstanceReflection = new \ReflectionClass(get_parent_class($this));

        if (! $realInstanceReflection->hasProperty($name)) {
            $targetObject = $this->valueHolder3c4b1;

            unset($targetObject->$name);
            return;
        }

        $targetObject = $this->valueHolder3c4b1;
        $accessor = function () use ($targetObject, $name) {
            unset($targetObject->$name);
        };
        $backtrace = debug_backtrace(true);
        $scopeObject = isset($backtrace[1]['object']) ? $backtrace[1]['object'] : new \ProxyManager\Stub\EmptyClassStub();
        $accessor = $accessor->bindTo($scopeObject, get_class($scopeObject));
        $returnValue = $accessor();

        return $returnValue;
    }

    public function __clone()
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, '__clone', array(), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        $this->valueHolder3c4b1 = clone $this->valueHolder3c4b1;
    }

    public function __sleep()
    {
        $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, '__sleep', array(), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;

        return array('valueHolder3c4b1');
    }

    public function __wakeup()
    {
        \Closure::bind(function (\Sulu\Bundle\CustomUrlBundle\Request\CustomUrlRequestProcessor $instance) {
            unset($instance->customUrlManager, $instance->generator, $instance->webspaceManager, $instance->environment);
        }, $this, 'Sulu\\Bundle\\CustomUrlBundle\\Request\\CustomUrlRequestProcessor')->__invoke($this);
    }

    public function setProxyInitializer(\Closure $initializer = null)
    {
        $this->initializer70e27 = $initializer;
    }

    public function getProxyInitializer()
    {
        return $this->initializer70e27;
    }

    public function initializeProxy() : bool
    {
        return $this->initializer70e27 && ($this->initializer70e27->__invoke($valueHolder3c4b1, $this, 'initializeProxy', array(), $this->initializer70e27) || 1) && $this->valueHolder3c4b1 = $valueHolder3c4b1;
    }

    public function isProxyInitialized() : bool
    {
        return null !== $this->valueHolder3c4b1;
    }

    public function getWrappedValueHolderValue() : ?object
    {
        return $this->valueHolder3c4b1;
    }


}

if (!\class_exists('CustomUrlRequestProcessor_292b929', false)) {
    \class_alias(__NAMESPACE__.'\\CustomUrlRequestProcessor_292b929', 'CustomUrlRequestProcessor_292b929', false);
}
